summaryrefslogtreecommitdiffstats
path: root/ci/openstack.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-08-22 17:59:19 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-08-22 18:00:01 -0500
commit16203a70bf3cca4dd48e1d14a506f3cf7b9a26ba (patch)
tree3acd03c6c1598c67cb616da6d7e0eaee521743c9 /ci/openstack.sh
parente6f1836f6e7d344b69bacd4a57fec354b51a7888 (diff)
trying to pass correct target for deployment.
Change-Id: I76ee4d723b86a9d4538cb7137bd3cbe1ba8303ed Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/openstack.sh')
-rwxr-xr-xci/openstack.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/ci/openstack.sh b/ci/openstack.sh
index a76785bf..fbfc7c06 100755
--- a/ci/openstack.sh
+++ b/ci/openstack.sh
@@ -7,8 +7,11 @@
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-opnfvlab=$2
+#./openstack.sh "$opnfvsdn" "$opnfvdistro" "$openstack"
+
opnfvsdn=$1
+opnfvdistro=$2
+opnfvos=$3
if [ -f ./deployconfig.yaml ];then
EXTERNAL_NETWORK=`grep floating-ip-range deployconfig.yaml | cut -d ' ' -f 4 `
@@ -134,7 +137,7 @@ if [ "$opnfvlab" == "orangepod1" ] && [ "$opnfvsdn" == "nosdn" ]; then # only fo
juju run --unit nodes/0 "sudo ip a a ${PUB_API_IP}/${PUB_API_NET} dev br-ex" || true
juju run --unit nodes/0 "sudo ip l set dev br-ex up" || true
python genPublicAPIProxyBundle.py -l labconfig.yaml >> bundles.yaml
- juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack" || true
+ juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$opnfvos" || true
fi
fi